<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoggersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('loggers', function (Blueprint $table) {

            $table->increments('id');

            //from user
            $table->unsignedInteger('user_id')->nullable();

            //to model
            $table->unsignedInteger('model_id')->index()->nullable();
            $table->string('model')->index()->nullable();

            $table->string('action')->index()->nullable();
            $table->string('channel')->index()->nullable();
            $table->text('message')->nullable();

            $table->unsignedTinyInteger('level')->index()->default(0);

            $table->timestamps();

            $table->foreign('user_id')
                ->references('id')
                ->on('users')
                ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('loggers');
    }
}
